Allow vector fonts in rolled-up playlist

January 19, 2015 17:28 - Sergei Sinyak

Status: Rejected Start date: January 19, 2015

Priority: Trivial Due date:  

Assignee:  % Done: 0%

Category: plugins/skins Estimated time: 0.00 hour

Target version:    

Affects version: 3.5.2   

Description

Hi! Recently discovered that playlist always use bitmap fonts.

I wrote patch, that add this functionality. I don't whether it's a feature or a bug.

Here is my patch.

--- src/audacious-plugins-3.5.2/src/skins/ui_playlist.c.old    2015-01-19 16:58:45.000000000 0300

++ src/audacious-plugins-3.5.2/src/skins/ui_playlist.c    2015-01-19 19:12:52.759049384 +0300

@ -595,7 +595,11 @  {

gint w = config.playlist_width, h = config.playlist_height;

-    playlistwin_sinfo = textbox_new (w - 35, "", NULL, config.autoscroll);

+    char * font = aud_get_str ("skins", "playlist_font");

+    playlistwin_sinfo = textbox_new (w - 35, "", config.mainwin_use_bitmapfont ? NULL :

+     font, config.autoscroll);

+    str_unref (font);

+

window_put_widget (playlistwin, TRUE, playlistwin_sinfo, 4, 4);

playlistwin_shaded_shade = button_new (9, 9, 128, 45, 150, 42, SKIN_PLEDIT, SKIN_PLEDIT);

@ -614,7 +618,7 @

     window_put_widget (playlistwin, FALSE, playlistwin_close, w - 11, 3);

     button_on_release (playlistwin_close, (ButtonCB) playlistwin_hide);

 

-    char * font = aud_get_str ("skins", "playlist_font");

+    font = aud_get_str ("skins", "playlist_font");

playlistwin_list = ui_skinned_playlist_new (w - 31, h - 58, font);

window_put_widget (playlistwin, FALSE, playlistwin_list, 12, 20);

str_unref (font);

History

#1 - January 19, 2015 17:29 - Sergei Sinyak

I'm taking about analogue of mainwin_info in playlist - playlistwin_sinfo. It appears when playlist is rolled.

#2 - January 23, 2015 02:17 - John Lindgren

- Tracker changed from Bug to Feature

- Subject changed from bitmap fonts in playlist to Allow vector fonts in rolled-up playlist

#3 - December 02, 2019 20:57 - John Lindgren

- Status changed from New to Rejected

The problem is that the rolled-up playlist is usually too small to display a vector font legibly.

The skinned UI really needs a new maintainer.  None of the current core developers seem to have much interest in improving it.  Closing.
ui.patch 1.15 KB January 19, 2015 Sergei Sinyak
